---
title: Symbol.split
slug: Web/JavaScript/Reference/Global_Objects/Symbol/split
tags:
  - ECMAScript 2015
  - JavaScript
  - Property
  - Symbol
---
<div>{{JSRef}}</div>

<p>The <strong><code>Symbol.split</code></strong> well-known symbol specifies the method that splits a string at the indices that match a regular expression. This function is called by the {{jsxref("String.prototype.split()")}} method.</p>

<p>For more information, see {{jsxref("RegExp.@@split", "RegExp.prototype[@@split]()")}} and {{jsxref("String.prototype.split()")}}.</p>

<div>{{EmbedInteractiveExample("pages/js/symbol-split.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<div>{{js_property_attributes(0,0,0)}}</div>

<h2 id="Examples">Examples</h2>

<h3 id="Custom_reverse_split">Custom reverse split</h3>

<pre class="brush: js notranslate">class ReverseSplit {
  [Symbol.split](string) {
    const array = string.split(' ');
    return array.reverse();
  }
}

console.log('Another one bites the dust'.split(new ReverseSplit()));
// expected output: [ "dust", "the", "bites", "one", "Another" ]</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-symbol.split', 'Symbol.split')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Symbol.split")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Symbol.match")}}</li>
 <li>{{jsxref("Symbol.replace")}}</li>
 <li>{{jsxref("Symbol.search")}}</li>
 <li>{{jsxref("RegExp.@@split", "RegExp.prototype[@@split]()")}}</li>
</ul>
